अधिसूचना संचालक
GET https://jkznetwork.net/api/notification-handlers/
curl --request GET \
--url 'https://jkznetwork.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| search | वैकल्पिक डोरी | खोज स्ट्रिंग. |
| search_by | वैकल्पिक डोरी | आप किस क्षेत्र में खोज रहे हैं? अनुमत मान हैं: name. |
| is_enabled | वैकल्पिक बूलियन | |
| type | वैकल्पिक डोरी | आप किस क्षेत्र में खोज रहे हैं? अनुमत मान हैं: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact. |
| datetime_field | वैकल्पिक डोरी | अनुमत मान: datetime, last_datetime |
| datetime_start | वैकल्पिक डोरी | इस दिनांक समय से शुरू होने वाले परिणामों को फ़िल्टर करें। <कोड>Y-m-d H:i:s प्रारूप। |
| datetime_end | वैकल्पिक डोरी | इस दिनांक समय तक परिणाम फ़िल्टर करें। <कोड>Y-m-d H:i:s प्रारूप। |
| order_by | वैकल्पिक डोरी | परिणामों को किस फ़ील्ड के आधार पर क्रमित करना है. अनुमत मान हैं: notification_handler_id, datetime, last_datetime, name. |
| order_type | वैकल्पिक डोरी | परिणामों का क्रम. अनुमत मान हैं: आरोही क्रम के लिए ASC, और घटते क्रम के लिए DESC। |
| search | वैकल्पिक डोरी | खोज स्ट्रिंग. |
| search_by | वैकल्पिक डोरी | आप किस क्षेत्र में खोज रहे हैं? अनुमत मान हैं: name. |
| is_enabled | वैकल्पिक बूलियन | |
| type | वैकल्पिक डोरी | आप किस क्षेत्र में खोज रहे हैं? अनुमत मान हैं: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact. |
| datetime_field | वैकल्पिक डोरी | अनुमत मान: datetime, last_datetime |
| datetime_start | वैकल्पिक डोरी | इस दिनांक समय से शुरू होने वाले परिणामों को फ़िल्टर करें। <कोड>Y-m-d H:i:s प्रारूप। |
| datetime_end | वैकल्पिक डोरी | इस दिनांक समय तक परिणाम फ़िल्टर करें। <कोड>Y-m-d H:i:s प्रारूप। |
| order_by | वैकल्पिक डोरी | परिणामों को किस फ़ील्ड के आधार पर क्रमित करना है. अनुमत मान हैं: notification_handler_id, datetime, last_datetime, name. |
| order_type | वैकल्पिक डोरी | परिणामों का क्रम. अनुमत मान हैं: आरोही क्रम के लिए ASC, और घटते क्रम के लिए DESC। |
| page | वैकल्पिक पूर्णांक | वह पृष्ठ क्रमांक जिससे आप परिणाम चाहते हैं. डिफ़ॉल्ट <कोड>1कोड> पर। |
| results_per_page | वैकल्पिक पूर्णांक | आप प्रति पृष्ठ कितने परिणाम चाहते हैं. अनुमत मान हैं: 10, 25, 50, 100, 250, 500, 1000. डिफ़ॉल्ट <कोड>25कोड> पर। |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-02 15:47:37",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://jkznetwork.net/api/notification-handlers?page=1",
"last": "https://jkznetwork.net/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://jkznetwork.net/api/notification-handlers?page=1"
}
}
GET https://jkznetwork.net/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-02 15:47:37",
}
}
POST https://jkznetwork.net/api/notification-handlers
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| name | आवश्यक डोरी | - |
| type | आवश्यक डोरी | अनुमत मान: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact |
| वैकल्पिक डोरी | उपलब्ध कब: type = email ईमेल | |
| webhook | वैकल्पिक डोरी | उपलब्ध कब: type = webhook वेबहुक यूआरएल |
| google_chat | वैकल्पिक डोरी | उपलब्ध कब: type = google_chat Google चैट वेबहुक URL |
| push_subscriber_id | वैकल्पिक डोरी | उपलब्ध कब: type = push_subscriber_id सब्सक्राइबर को पुश करें |
| sixsixtext_save_contact_api_key | वैकल्पिक डोरी | उपलब्ध कब: type = sixsixtext_save_contact एपीआई कुंजी |
| sixsixtext_save_contact_phone_number | वैकल्पिक डोरी | उपलब्ध कब: type = sixsixtext_save_contact फ़ोन नंबर का परीक्षण करें |
curl --request POST \
--url 'https://jkznetwork.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://jkznetwork.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://jkznetwork.net/api/notification-handlers/{notification_handler_id}
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| name | वैकल्पिक डोरी | - |
| type | वैकल्पिक डोरी | अनुमत मान: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact |
| वैकल्पिक डोरी | उपलब्ध कब: type = email ईमेल | |
| webhook | वैकल्पिक डोरी | उपलब्ध कब: type = webhook वेबहुक यूआरएल |
| google_chat | वैकल्पिक डोरी | उपलब्ध कब: type = google_chat Google चैट वेबहुक URL |
| push_subscriber_id | वैकल्पिक डोरी | उपलब्ध कब: type = push_subscriber_id सब्सक्राइबर को पुश करें |
| sixsixtext_save_contact_api_key | वैकल्पिक डोरी | उपलब्ध कब: type = sixsixtext_save_contact एपीआई कुंजी |
| sixsixtext_save_contact_phone_number | वैकल्पिक डोरी | उपलब्ध कब: type = sixsixtext_save_contact फ़ोन नंबर का परीक्षण करें |
| is_enabled | वैकल्पिक बूलियन | - |
curl --request POST \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://jkznetwork.net/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \